Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-47489

replica_set_multiversion tests can depend on standalones illegally downgrading

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.4.0-rc2, 4.7.0
    • Component/s: Replication
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Operating System:
      ALL
    • Backport Requested:
      v4.4
    • Sprint:
      Repl 2020-04-20
    • Linked BF Score:
      46

      Description

      replica_set_multiversion will randomly choose between "latest" and "last-stable" when starting up a mongod instance. The passthrough logic is smart enough to downgrade the FCV and clean shutdown, but that's not sufficient for ensuring "last-stable" is always able to start up in more complicated restart sequences. Consider the following (using 4.4/4.2 as an example):

      1. Start MongoDB 4.4 + ReplSet
      2. SetFCV 4.2
      3. Shutdown (MongoDB 4.2 can restart on these data files)
      4. Start MongoDB 4.4 + Standalone
      5. Shutdown (MongoDB 4.2 can not restart on these data files)

        Attachments

          Activity

            People

            Assignee:
            jason.chan Jason Chan
            Reporter:
            daniel.gottlieb Daniel Gottlieb
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: